import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

public class ShowImage extends JFrame
{
	public ShowImage(JavaPicture picture)
	{
		this.setTitle(picture.getFileName());
		picture.repaintImage();
		JPanel backGround = new JPanel();
		this.getContentPane().add(backGround);
		backGround.add(picture);
		
		this.setSize(picture.getWidth() + 10, (picture.getHeight() + 45));
		int minWidth = 160;// + 7 * (this.getTitle().length());
		
		if (picture.getWidth() < minWidth)
		{
			this.setSize(minWidth, (picture.getHeight()+45));
	    }
		else
		{
			this.setSize(picture.getWidth() + 10, (picture.getHeight()+45));
		}
		this.setResizable(false);
		

		this.setVisible(true);
	}
	
	public ShowImage(JavaPicture picture, String title)
	{
		this(picture);
		this.setTitle(title);

	}
}